org.hibernate.search.indexes.serialization.spi

## Class LuceneFieldContext

- java.lang.Object
- - org.hibernate.search.indexes.serialization.spi.LuceneFieldContext

-     public final class LuceneFieldContext
      extends Object

  Author:
    Emmanuel Bernard <emmanuel@hibernate.org>

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `LuceneFieldContext(Field field)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `BytesRef` | `getBinaryValue()`
    `float` | `getBoost()`
    `SerializableDocValuesType` | `getDocValuesType()`
    `SerializableIndex` | `getIndex()`
    `String` | `getName()`
    `byte[]` | `getReaderValue()`
    `SerializableStore` | `getStore()`
    `String` | `getStringValue()`
    `SerializableTermVector` | `getTermVector()`
    `SerializableTokenStream` | `getTokenStream()`
    `boolean` | `isOmitNorms()`
    `boolean` | `isOmitTermFreqAndPositions()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LuceneFieldContext

          public LuceneFieldContext(Field field)

  - ### Method Detail

    - #### getName

          public String getName()

    - #### getStore

          public SerializableStore getStore()

    - #### getIndex

          public SerializableIndex getIndex()

    - #### getTermVector

          public SerializableTermVector getTermVector()

    - #### getDocValuesType

          public SerializableDocValuesType getDocValuesType()

    - #### getBoost

          public float getBoost()

    - #### isOmitNorms

          public boolean isOmitNorms()

    - #### isOmitTermFreqAndPositions

          public boolean isOmitTermFreqAndPositions()

    - #### getStringValue

          public String getStringValue()

    - #### getReaderValue

          public byte[] getReaderValue()

    - #### getTokenStream

          public SerializableTokenStream getTokenStream()

    - #### getBinaryValue

          public BytesRef getBinaryValue()

Copyright © 2006-2017 Red Hat, Inc. All Rights Reserved